Rainbows! Rack HTTP server user/dev discussion
 help / color / mirror / code / Atom feed
From: Eric Wong <e@80x24.org>
To: rainbows-public@bogomips.org
Cc: Eric Wong <e@80x24.org>
Subject: [PATCH] t0105: fix test reliability
Date: Tue, 24 Nov 2015 21:36:31 +0000	[thread overview]
Message-ID: <20151124213631.3425-1-e@80x24.org> (raw)

It's possible curl will be sending to us and detect an error in the
send before it has a chance to read our (premature) 413 response.

Of course, we cannot afford to read an entire request when returning
a premature 413 response because we risk wasting bandwidth that way.
---
 t/t0105-rack-input-limit-bigger.sh | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

diff --git a/t/t0105-rack-input-limit-bigger.sh b/t/t0105-rack-input-limit-bigger.sh
index 1ae0191..ee03d44 100755
--- a/t/t0105-rack-input-limit-bigger.sh
+++ b/t/t0105-rack-input-limit-bigger.sh
@@ -25,7 +25,11 @@ t_begin "stops a regular request" && {
 	rm -f $tmp
 	dbgcat curl_err
 	dbgcat curl_out
-	grep 413 $curl_err
+	if ! grep 413 $curl_err
+	then
+		# send error as documented in curl(1) manpage
+		grep -F '(55)' $curl_err
+	fi
 	test -e $ok
 }
 
@@ -36,7 +40,11 @@ t_begin "stops a large chunked request" && {
 	  http://$listen/ > $curl_out 2> $curl_err || > $ok
 	dbgcat curl_err
 	dbgcat curl_out
-	grep 413 $curl_err
+	if ! grep 413 $curl_err
+	then
+		# send error as documented in curl(1) manpage
+		grep -F '(55)' $curl_err
+	fi
 	test -e $ok
 }
 
-- 
EW


                 reply	other threads:[~2015-11-24 21:36 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: https://yhbt.net/rainbows/

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20151124213631.3425-1-e@80x24.org \
    --to=e@80x24.org \
    --cc=rainbows-public@bogomips.org \
    --subject='Re: [PATCH] t0105: fix test reliability' \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link

Code repositories for project(s) associated with this inbox:

	../../rainbows.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).